% compute the objective function
function obj = my_objective(p)

% import data
[td,ud,yd] = my_data;

% solve model
[t,y] = ode45(@(t,y) my_model(t,y,td,ud,p),td,yd(1));

% compute sum of squared errors
obj = sum((yd-y').^2);